Package relaxngcc.grammar

# Class BinaryPattern

java.lang.Object
relaxngcc.grammar.Pattern
relaxngcc.grammar.BinaryPattern

Direct Known Subclasses:
  `ChoicePattern`, `GroupPattern`, `InterleavePattern`

public abstract class BinaryPattern extends Pattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

Fields
Modifier and Type
Field
Description
`final Pattern`
`p1`
`final Pattern`
`p2`

## Constructor Summary

Constructors
Constructor
Description
`BinaryPattern(Pattern _p1, Pattern _p2)`

## Method Summary

Modifier and Type
Method
Description
`Pattern[]`
`getChildPatterns()`
Gets all the child patterns of this combinor.

### Methods inherited from class relaxngcc.grammar.Pattern

`apply`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### p1

public final Pattern p1

### p2

public final Pattern p2

## Constructor Details

### BinaryPattern

public BinaryPattern(Pattern _p1, Pattern _p2)

## Method Details

### getChildPatterns

public Pattern[] getChildPatterns()
Gets all the child patterns of this combinor.